Package org.postgis

## Class Version

- java.lang.Object
- - org.postgis.Version

    public class Version
    extends Object

Corresponds to the appropriate PostGIS that carried this source

### Field Summary

Fields
`static String` `FULL` Full version for human reading - code should use the constants above
`static int` `MAJOR` The major version
`static String` `MICRO` The micro version, usually a number including possibly textual suffixes like RC3.
`static int` `MINOR` The minor version
`static String` `VERSION`

### Constructor Summary

Constructors
`Version()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getFullVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VERSION

    public static final String VERSION

#### MAJOR

    public static final int MAJOR

The major version

#### MINOR

    public static final int MINOR

The minor version

#### MICRO

    public static final String MICRO

The micro version, usually a number including possibly textual suffixes like RC3.

#### FULL

    public static final String FULL

Full version for human reading - code should use the constants above

### Constructor Detail

#### Version

    public Version()

### Method Detail

#### getFullVersion

    public static String getFullVersion()